# $Revision: 1.23 $, $Date: 2009/01/27 13:30:17 $
# TODO:
# - install flags in %{datadir}/%{name} and make config for apache
# - patch config in package and fix paths
Summary:	Web server log analysis program
Summary(pl.UTF-8):	Program do analizy logów serwera WWW
Name:		awffull
Version:	3.10.2
Release:	2
License:	GPL v2
Group:		Applications/Networking
Source0:	http://www.stedee.id.au/files/%{name}-%{version}.tar.gz
# Source0-md5:	90c1b0137ce687d06e56c49b854d41c1
Source1:	%{name}.sysconfig
Source2:	%{name}.cron
Source3:	%{name}.crontab
Patch0:		%{name}-no_css_overwrite_warning.patch
Patch1:		%{name}-geoip.patch 
Patch2:		%{name}-locale_names.patch
URL:		http://www.stedee.id.au/awffull/
BuildRequires:	GeoIP-devel > 1.4.0-1
BuildRequires:	gd-devel
BuildRequires:	gettext-devel
BuildRequires:	pcre-devel
Suggests:	dnshistory
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AWFFull is a Web server log analysis program, forked from Webalizer.
It adds a number of new features and improvements, such as extended
frontpage history, resizable graphs, and a few more pie charts.

%description -l pl.UTF-8
AWFFull to program do analizy logów serwer WWW wywodzący się z
Webalizera. Dodaje wiele nowych możliwości i ulepszeń, takich jak
rozszerzona historia strony głównej, skalowalne wykresy i nieco więcej
wykresów kołowych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
rm po/*gmo
mv -f po/{no,nb}.po
mv -f po/zh{,_CN}.po

%build
%configure
%{__make} -C po update-gmo
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},/etc/{sysconfig,cron.d},%{_sbindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install sample.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install contrib/%{name}_history_regen.pl $RPM_BUILD_ROOT%{_sbindir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sbindir}/%{name}.cron
install %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.d/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog *README* TODO flags
%attr(2755,root,stats) %dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_sbindir}/%{name}.cron
%attr(755,root,root) %{_sbindir}/%{name}_history_regen.pl
%{_mandir}/man[15]/awffull*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: awffull.spec,v $
Revision 1.23  2009/01/27 13:30:17  dzeus
- rel. 2

Revision 1.22  2009/01/19 22:17:11  dzeus
- up to 3.10.2

Revision 1.21  2008/01/10 21:39:40  zbyniu
- locale_names.patch added, regenerate locales, rel 3

Revision 1.20  2008-01-08 22:31:33  blues
- rel.2

Revision 1.19  2008-01-08 22:28:49  blues
- 3.8.2

Revision 1.18  2007/08/06 14:16:17  blues
- rel.2; added geoip patch

Revision 1.17  2007/06/12 18:53:49  blues
- 3.7.5

Revision 1.16  2007/05/08 19:28:38  blues
- 3.7.4 - security update; TrueType fonts support introduced, works fine

Revision 1.15  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.13  2006/10/25 16:29:42  blues
- don't print warning about css overwrite, even with quiet options

Revision 1.12  2006/10/25 12:45:36  qboosh
- removed wrong sysconfdir macro usage

Revision 1.11  2006/10/25 12:42:14  blues
- TODO is back and more docs

Revision 1.10  2006/10/25 12:16:25  blues
- builds, works

Revision 1.9  2006/10/25 11:53:38  blues
- 3.7.1 - NFY

Revision 1.8  2006/10/01 14:40:47  blues
- rel.3 - works nice - STBR to AC and TH

Revision 1.7  2006/06/30 11:26:15  blues
- release 2 - should work with dnshistory now.

Revision 1.6  2006/06/27 12:20:47  blues
- 3.5.1 - works nice

Revision 1.5  2006/06/27 11:05:50  blues
- tools copied from webalizer, not tested yet

Revision 1.4  2006/05/25 22:46:56  qboosh
- pl

Revision 1.3  2006/05/25 15:58:13  glen
- no %doc for %{_mandir} (it's automatic by rpm)

Revision 1.2  2006/05/25 15:56:58  glen
- drop non-cvs changelog (brings confusion with cvschangelog-truncation patch)

Revision 1.1  2006/05/25 14:07:02  zbyniu
- new, based on http://dag.wieers.com/packages/awffull/awffull.spec
